[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Dpkg and version numbering

I have the following problem with dpkg version numbering:

dpkg considers version numbers 2.01 and 2.1 being equal.
Yes, it is according to algorithm described in dpkg manual, but I'm
not sure whether this is the best behaviour.

My question is: Should I consider this as a bug of dpkg or do I have
to choose another version instead of 2.1?  If the latter, is it better
2.1.0 or 1:2.1 or anything else?


Milan Zamazal

"Having GNU Emacs is like having a dragon's cave of treasures."
                                                Robert J. Chassell

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: